﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace AttachedProperties
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            var rectangle = new Rectangle
            {
                Height = 100,
                Width = 200,
                Fill = new SolidColorBrush(Colors.Yellow),
            };

            PresentationWindow.SetCaption(rectangle, "This is a yellow rectangle");

            var window = new PresentationWindow();
            window.Present(rectangle);
        }

        private void PresentElement(object sender, MouseButtonEventArgs e)
        {
            var element = sender as UIElement;

            LayoutRoot.Children.Remove(element);

            var window = new PresentationWindow();
            window.Present(element);
        }
    }
}
