﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace ClipboardSample
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void CopyButtonClick(object sender, RoutedEventArgs e)
        {
            Clipboard.SetText("The first textbox says: " + FirstTextBox.Text);
        }

        private void CutButtonClick(object sender, RoutedEventArgs e)
        {
            Clipboard.SetText("The first textbox said: " + FirstTextBox.Text);
            FirstTextBox.Text = string.Empty;
        }

        private void PasteButtonClick(object sender, RoutedEventArgs e)
        {
            if (Clipboard.ContainsText())
            {
                SecondTextBox.Text = Clipboard.GetText();
            }
        }
    }
}
