﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace DesignTimeClassSample
{
	public class CustomerViewModel : ViewModelBase
	{
		public const string NamePropertyName = "Name";
		private string _name = string.Empty;
	
		public string Name
		{
			get { return _name; }
			set
			{
				if (_name == value)
				{
					return;
				}
	
				_name = value;
				RaisePropertyChanged(NamePropertyName);
			}
		}
	
		public const string BirthdayPropertyName = "Birthday";
		private DateTime _birthday = DateTime.MinValue;
	
		public DateTime Birthday
		{
			get { return _birthday; }
			set
			{
				if (_birthday == value)
				{
					return;
				}
	
				_birthday = value;
				RaisePropertyChanged(BirthdayPropertyName);
			}
		}
	}
}