﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace DuplexPollingSample.Web
{
    [ServiceContract(
        Namespace = "http://www.mydomain.com", 
        CallbackContract = typeof(IFilesChangedClient))]
    public interface IFilesChangedService
    {
        [OperationContract]
        void StartObservingFiles();
        [OperationContract]
        void StopObservingFiles();
    }
}
