﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using ExtensionMethodSample.CustomerService;
using ExtensionMethodSample.Helpers;

namespace ExtensionMethodSample
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            var client = new CustomerServiceClient();
            client.GetCustomersCompleted += (s, e) =>
            {
                foreach (var customer in e.Result)
                {
                    MessageBox.Show(customer.GetFullName());
                }
            };
            client.GetCustomersAsync("Bugnion");
        }
    }
}
