﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using ImageTools;
using System.IO;
using System.Windows.Media.Imaging;

namespace GreetingCardMaker.Helpers
{
    public class PngManager
    {
        public static void SaveToImage(
            WriteableBitmap bitmap, 
            Stream outputStream)
        {
            //int currentPixelIndex = 0;

            //for (var indexHeight = 0; indexHeight < bitmap.PixelHeight; indexHeight++)
            //{
            //    for (var indexWidth = 0; indexWidth < bitmap.PixelWidth; indexWidth++)
            //    {
            //        int pixelValue = bitmap.Pixels[currentPixelIndex];

            //        var color = Color.FromArgb(
            //            (byte) (pixelValue >> 24),
            //            (byte) (pixelValue >> 16),
            //            (byte) (pixelValue >> 8),
            //            (byte) pixelValue);

            //        bitmap.Pixels[currentPixelIndex++] = color.A << 24 // A
            //                                           | 0 << 16  // R
            //                                           | 0 << 8   // G
            //                                           | color.B; // B 
            //    }
            //}

            var frameStreamInfo = Application.GetResourceStream(
                new Uri("Resources/frame.png", UriKind.Relative));

            var source = new BitmapImage();
            source.SetSource(frameStreamInfo.Stream);
            var frameBitmap = new WriteableBitmap(source);

            var rectangle = new Rect(0, 0,
                bitmap.PixelWidth, 
                bitmap.PixelHeight);
            bitmap.Blit(rectangle, frameBitmap, rectangle);

            var image = bitmap.ToImage();
            image.WriteToStream(outputStream);
        }
    }
}
