﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace HardwareAcceleration
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			// Required to initialize variables
			InitializeComponent();

            Loaded += MainPage_Loaded;
		}

        void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            Simpsons_wmv.Play();
            (Resources["RotateAnimation"] as Storyboard).Begin();
            (Resources["ScaleAnimation"] as Storyboard).Begin();
        }

        private void SimpsonsMediaEnded(object sender, RoutedEventArgs e)
        {
            Simpsons_wmv.Stop();
            Simpsons_wmv.Play();
        }

        private void RotateAnimation_Completed(object sender, EventArgs e)
        {
            (Resources["RotateAnimation"] as Storyboard).Stop();
            (Resources["RotateAnimation"] as Storyboard).Begin();
        }

        private void ScaleAnimation_Completed(object sender, EventArgs e)
        {
            (Resources["ScaleAnimation"] as Storyboard).Begin();
        }
	}
}