﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using ImplicitBindingCommandParameter.Data;

namespace ImplicitBindingCommandParameter.ViewModel
{
    public class DisplayItemCommand : ICommand
    {
        public bool CanExecute(object parameter)
        {
            return true;
        }

        public event EventHandler CanExecuteChanged;

        public void Execute(object parameter)
        {
            var item = parameter as DataItem;
            if (item != null)
            {
                MessageBox.Show(item.Name);
            }
        }
    }
}
