﻿using System;
using System.ComponentModel.Composition;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using MefSample.Services;

namespace MefSample
{
    [Export(typeof(IMessageService))]
    public class MessageService : IMessageService
    {
        private ILogger _logger;

        [ImportingConstructor]
        public MessageService(ILogger logger)
        {
            _logger = logger;
        }

        public void ShowMessage(string message)
        {
            MessageBox.Show(message);
            _logger.Log(message);
        }
    }
}
