﻿using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.ComponentModel.Composition.Hosting;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using MefSample.Services;

namespace MefSample
{
    public partial class MainPage : UserControl
    {
        [Import]
        public IMessageService MyMessageService
        {
            get;
            set;
        }

        public MainPage()
        {
            var catalog = new AssemblyCatalog(
                typeof(IMessageService).Assembly);
            var container = new CompositionContainer(catalog);
            container.ComposeExportedValue(new Logger());
            container.ComposeParts(this);

            InitializeComponent();
            MyMessageService.ShowMessage("Page is created");
        }
    }
}
