﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace NewUserControlVS
{
    public partial class MyNewUserControl : UserControl
    {
        public MyNewUserControl()
        {
            InitializeComponent();
        }

        public const string DisplayTextPropertyName = "DisplayText";

        public string DisplayText
        {
            get
            {
                return (string)GetValue(DisplayTextProperty);
            }
            set
            {
                SetValue(DisplayTextProperty, value);
            }
        }

        public static readonly DependencyProperty DisplayTextProperty
            = DependencyProperty.Register(
                DisplayTextPropertyName,
                typeof(string),
                typeof(MyNewUserControl),
                new PropertyMetadata(string.Empty));
    }
}
