﻿using SampleMvvm.Model;

namespace SampleMvvm.ViewModel
{
    public class ViewModelLocator
    {
        private static MainViewModel _main;

        public ViewModelLocator()
        {
            var service = new CustomerServiceProxy();
            _main = new MainViewModel(service);
        }

        public MainViewModel Main
        {
            get
            {
                return _main;
            }
        }
    }
}