﻿using TextBoxHandling.Model;

namespace TextBoxHandling.ViewModel
{
    public class ViewModelLocator
    {
        private static MainViewModel _main;

        public MainViewModel Main
        {
            get
            {
                if (_main == null)
                {
                    var networkService = new NetworkService();
                    _main = new MainViewModel(networkService);
                }

                return _main;
            }
        }

        public static void Cleanup()
        {
        }
    }
}