﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace WcfServiceSample
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void CallServiceClick(object sender, RoutedEventArgs e)
        {
            var offset = Int32.Parse(OffsetHoursTextBox.Text);

            var client = new MyService.SampleServiceClient();
            client.GetServerDateTimeWithOffsetCompleted 
                += ClientGetServerDateTimeCompleted;
            client.GetServerDateTimeWithOffsetAsync(offset, offset);
        }

        void ClientGetServerDateTimeCompleted(
            object sender, 
            MyService.GetServerDateTimeWithOffsetCompletedEventArgs e)
        {
            var offset = (int)e.UserState;

            MyButton.Content = string.Format(
                "Current date time on client: {0}"
                + Environment.NewLine
                + "Date time - {1} hours on server: {2}",
                DateTime.Now.ToString(),
                offset,
                e.Result.ToString());
        }
    }
}
