﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace WebBrowserBrushSample
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        public void ShowAnimation()
        {
            var animation = new Animation();
            SceneBorder.Child = animation;
            animation.Navigate();
        }

        public void ShowReflection()
        {
            var reflection = new Reflection();
            SceneBorder.Child = reflection;
            reflection.Navigate();
        }

        private void ShowReflectionClick(object sender, RoutedEventArgs e)
        {
            ShowReflection();
        }

        private void ShowAnimationClick(object sender, RoutedEventArgs e)
        {
            ShowAnimation();
        }
    }
}
