﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.IO;
using System.IO.IsolatedStorage;
using System.Collections.ObjectModel;

namespace WebBrowserSample
{
    public partial class LoadFileChildWindow : ChildWindow
    {
        public string FileName
        {
            get
            {
                if (FilesListBox.SelectedIndex < 0)
                {
                    return string.Empty;
                }

                return FilesListBox.SelectedItem.ToString();
            }
        }

        public ObservableCollection<string> Files
        {
            get;
            private set;
        }

        public LoadFileChildWindow()
        {
            InitializeComponent();
        }

        private void OKButton_Click(object sender, RoutedEventArgs e)
        {
            if (FilesListBox.SelectedIndex < 0)
            {
                MessageBox.Show("Please select a file or cancel");
                return;
            }

            DialogResult = true;
        }

        private void CancelButton_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = false;
        }

        private void DeleteFile_Click(object sender, RoutedEventArgs e)
        {
        }
    }
}

