﻿using System;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Activation;
using System.Web;

[ServiceContract(Namespace = "http://www.mydomain.com")]
[AspNetCompatibilityRequirements(RequirementsMode
    = AspNetCompatibilityRequirementsMode.Allowed)]
public class CheckAccessService
{
    [OperationContract]
    public bool CanAccessManagerZone()
    {
        if (HttpContext.Current.User.IsInRole("manager"))
        {
            return true;
        }

        return false;
    }
}
