﻿using System;
using System.Collections.Generic;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using WhyDependencyInjection.Model;
using WhyDependencyInjection.ViewModel;

namespace WhyDependencyInjection.UnitTests
{
    public enum TestCase
    {
        ReturnNull = 0
    }

    public class TestDataService : IDataService
    {
        private TestCase _whichTest;

        public TestDataService(TestCase whichTest)
        {
            _whichTest = whichTest;
        }

        public void GetItems(
            Action<IEnumerable<Item>> callback)
        {
            switch (_whichTest)
            {
                case TestCase.ReturnNull:
                    callback(null);
                    break;
            }
        }
    }
}
