﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Silverlight.Testing;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using WhyDependencyInjection.ViewModel;

namespace WhyDependencyInjection.UnitTests
{
    [TestClass]
    public class ViewModelTests
    {
        [TestMethod]
        public void TestViewModelInjectionNull()
        {
            var vm = new ViewModelWithDependencyInjection(null);
            Assert.IsNotNull(vm);
        }

        [TestMethod]
        public void TestGetItemsNull()
        {
            var service = new TestDataService(TestCase.ReturnNull);

            var vm = new ViewModelWithDependencyInjection(service);
            Assert.IsNotNull(vm.Items);
            Assert.AreEqual(0, vm.Items.Count);
        }
    }
}