﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Navigation;
using System.Globalization;

namespace AllControlsSamples.Views
{
    public partial class GlobalCalendar : Page
    {
        public GlobalCalendar()
        {
            InitializeComponent();
        }

        private void ComboBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            var combo = sender as ComboBox;
            if (combo != null)
            {
                var item = combo.SelectedItem as ComboBoxItem;

                if (item != null)
                {
                    MyCalendar.CalendarInfo
                        = new CultureCalendarInfo(new CultureInfo(item.Content.ToString()));
                }
            }
        }
    }
}
