﻿using System;
using System.Runtime.Serialization;

namespace Customers
{
  [DataContract]
  public enum CustomerGender
  {
    [EnumMember]
    Male = 0,
    [EnumMember]
    Female = 1,
    [EnumMember]
    Boy = 2,
    [EnumMember]
    Girl = 3,
  }

  [DataContract]
  public class Customer
  {
    [DataMember]
    public string FirstName
    {
      get;
      set;
    }

    [DataMember]
    public string LastName
    {
      get;
      set;
    }

    [DataMember]
    public CustomerGender Gender
    {
      get;
      set;
    }

    [DataMember]
    public string AddressStreet
    {
      get;
      set;
    }

    [DataMember]
    public string AddressCity
    {
      get;
      set;
    }

    [DataMember]
    public string AddressCountry
    {
      get;
      set;
    }

    [DataMember]
    public int AccountNumber
    {
      get;
      set;
    }

    [DataMember]
    public Uri PictureUri
    {
      get;
      set;
    }
  }
}
