﻿using System;
using System.Collections.Generic;
using System.IO;
using CustomersManager.SL.ViewModel;

namespace CustomersManager.SL.Model
{
    public interface ICustomersService
    {
        void GetCustomers(
            Action<IEnumerable<CustomerViewModel>, Exception> callback);

        void SaveCustomer(
            CustomerViewModel customerViewModel,
            Action<bool> callback);

        void SavePicture(
            Stream pictureStream, 
            int accountNumber, 
            Action<bool, string> callback);

        CustomerViewModel CreateCustomer(int accountNumber);

        Uri GetKnownPictureUri(int accountNumber);
    }
}
