﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace DebuggingBindings.ViewModel
{
    public class MainViewModel
    {
        public ObservableCollection<DataItem> Items
        {
            get;
            private set;
        }

        public MainViewModel()
        {
            Items = new ObservableCollection<DataItem>();

            for (var index = 0; index < 20; index++)
            {
                var item = new DataItem
                {
                    Name = "Item # " + index,
                    ContractNumber = 10000 - index
                };

                Items.Add(item);
            }
        }
    }
}
