﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace DownloadUpload.Web
{
    /// <summary>
    /// Summary description for CookieService
    /// </summary>
    public class CookieService : IHttpHandler
    {
        public void ProcessRequest(HttpContext context)
        {
            var cookie = context.Request.Cookies["mycookie"];

            cookie.Value += " success";

            context.Response.ContentType = "text/plain";
            context.Response.Cookies.Add(cookie);
            context.Response.Write("Hello World");
        }

        public bool IsReusable
        {
            get
            {
                return false;
            }
        }
    }
}