﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;

namespace DownloadUpload.Web
{
    /// <summary>
    /// Summary description for UploadImage
    /// </summary>
    public class UploadImage : IHttpHandler
    {
        private const string DestinationFile = "c:\\temp\\receivedimage.jpg";

        public void ProcessRequest(HttpContext context)
        {
            var file = new FileInfo(DestinationFile);

            if (!file.Directory.Exists)
            {
                file.Directory.Create();
            }

            var content = context.Request.InputStream;

            // Uncomment this code to simulate a server-side exception
            //throw new NullReferenceException("Test only");

            if (content != null)
            {
                using (var writer = new BinaryWriter(file.OpenWrite()))
                {
                    using (var reader = new BinaryReader(content))
                    {
                        var stop = false;
                        while (!stop)
                        {
                            var bytes = reader.ReadBytes(1000);
                            writer.Write(bytes);

                            if (bytes.Length < 1000)
                            {
                                stop = true;
                            }
                        }

                    }
                }
            }

            context.Response.ContentType = "text/plain";
            context.Response.Write("OK");
        }

        public bool IsReusable
        {
            get
            {
                return false;
            }
        }
    }
}