﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;

namespace DownloadUpload.Web
{
    /// <summary>
    /// Summary description for UploadString
    /// </summary>
    public class UploadString : IHttpHandler
    {
        private const string DestinationFile = "c:\\temp\\receivedfile.txt";

        public void ProcessRequest(HttpContext context)
        {
            var file = new FileInfo(@"c:\temp\receivedfile.txt");

            if (!file.Directory.Exists)
            {
                file.Directory.Create();
            }

            var content = context.Request.InputStream;

            // Uncomment this code to simulate a server-side exception
            //throw new NullReferenceException("Test only");

            if (content != null)
            {
                using (var writer = new StreamWriter(DestinationFile))
                {
                    using (var reader = new StreamReader(content))
                    {
                        writer.WriteLine(reader.ReadToEnd());
                    }
                }
            }

            //throw new InvalidOperationException("Test only");

            context.Response.ContentType = "text/plain";
            context.Response.Write("OK");
        }

        public bool IsReusable
        {
            get
            {
                return false;
            }
        }
    }
}