﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.ServiceModel;
using System.Text;

namespace DuplexPollingSample.Web
{
    [ServiceContract]
    public interface IFilesChangedClient
    {
        [OperationContract(IsOneWay = true)]
        void FileAdded(string fileName);

        [OperationContract(IsOneWay = true)]
        void FileDeleted(string fileName);

        [OperationContract(IsOneWay = true)]
        void FileRenamed(string oldFileName, string fileName);
    }
}
