﻿using System.Collections.ObjectModel;
using System.Windows.Controls;
using ImplementingINotifyPropertyChanged.Data;

namespace ImplementingINotifyPropertyChanged
{
    public partial class MainPage : UserControl
    {
        public ObservableCollection<Customer> Customers
        {
            get;
            private set;
        }

        public MainPage()
        {
            var service = new CustomerService();

            Customers = new ObservableCollection<Customer>(
                service.GetCustomers());

            InitializeComponent();
        }
    }
}
