﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using InheritingDO.Data;

namespace InheritingDO
{
    public partial class MainPage : UserControl
    {
        public ObservableCollection<Customer> Customers
        {
            get;
            private set;
        }

        public MainPage()
        {
            var service = new CustomerService();

            Customers = new ObservableCollection<Customer>(
                service.GetCustomers());

            InitializeComponent();
        }
    }
}
