﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using MefPlugins.Contracts;

namespace MefPlugins
{
    public partial class MainPage : UserControl
    {
        public ISearchEngine[] Engines
        {
            get;
            set;
        }


        public MainPage()
        {
            InitializeComponent();

            Engines = new ISearchEngine[]
            {
                TextSearch
            };
        }

        private void SearchClick(object sender, RoutedEventArgs e)
        {
            foreach (var engine in Engines)
            {
                engine.Search(QueryTextBox.Text);
            }
        }

        private void RefreshClick(object sender, RoutedEventArgs e)
        {
            MessageBox.Show("Not implemented yet");
        }
    }
}
