﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Messaging;
using System.Windows.Shapes;

namespace MessagingReceiver
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            var receiver = new LocalMessageReceiver(
                "MessagingApplication2", 
                ReceiverNameScope.Global, 
                LocalMessageReceiver.AnyDomain);

            receiver.MessageReceived += receiver_MessageReceived;
            receiver.Listen();

            InitializeComponent();
        }

        void receiver_MessageReceived(object sender, MessageReceivedEventArgs e)
        {
            MessageTextBlock.Text = e.Message;

            e.Response = "Message received, thanks!";
        }
    }
}
