﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Navigation;

namespace NavigationSample.Views.Shop
{
    public partial class Catalog : Page
    {
        public Catalog()
        {
            InitializeComponent();
        }

        // Executes when the user navigates to this page.
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            if (!NavigationContext.QueryString.ContainsKey("cat")
                || !NavigationContext.QueryString.ContainsKey("filter"))
            {
                MessageBox.Show("This is the Shop page");
            }
            else
            {
                MessageBox.Show(
                    string.Format("You want the category {0}"
                        + " and the product {1}",
                    NavigationContext.QueryString["cat"],
                    NavigationContext.QueryString["filter"]));
            }

            base.OnNavigatedTo(e);
        }
    }
}
