﻿using System;
using System.Collections.Generic;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace PropertyPathSample.Data
{
    public class MainViewModel
    {
        public Dictionary<string, DataItem> MyDictionary
        {
            get;
            private set;
        }

        public MainViewModel()
        {
            MyDictionary = new Dictionary<string, DataItem>();

            for (var index = 0; index < 10; index++)
            {
                var item = new DataItem
                {
                    Name = "DataItem # " + index
                };

                MyDictionary.Add("Index " + index, item);
            }
        }
    }
}
