﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Threading;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Globalization;
using System.Windows.Markup;

namespace StringFormatSample
{
    public enum MyEnum
    {
        Value0 = 0,
        Value1 = 1,
        Value2 = 2,
    }

    public partial class MainPage : UserControl
    {
        public double MyDouble
        {
            get;
            private set;
        }

        public int MyInteger
        {
            get;
            private set;
        }

        public DateTime MyDateTime
        {
            get;
            private set;
        }

        public MainPage()
        {
            Thread.CurrentThread.CurrentCulture
                = Thread.CurrentThread.CurrentUICulture
                  = new CultureInfo("fr-CH");

            Language = XmlLanguage.GetLanguage("it-IT");

            MyDouble = 123.45678;
            MyDateTime = DateTime.Now;
            MyInteger = 123;

            InitializeComponent();
        }
    }
}
