﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace WebBrowserBrushSample
{
    public partial class Animation : UserControl
    {
        private Storyboard _sbd;

        public Animation()
        {
            InitializeComponent();
            _sbd = Resources["BrowserAnimation"] as Storyboard;
            _sbd.Completed += (s, e) => MyWebBrowser.Visibility = System.Windows.Visibility.Visible;
            CompositionTarget.Rendering += (s, e) => MyWebBrowserBrush.Redraw();
        }

        private void AnimateButtonClick(object sender, RoutedEventArgs e)
        {
            MyWebBrowserBrush.Redraw();
            MyWebBrowser.Visibility = System.Windows.Visibility.Collapsed;
            _sbd.Begin();
        }

        internal void Navigate()
        {
            MyWebBrowser.Navigate(new Uri("http://www.galasoft.ch"));
        }
    }
}
