﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Net;
using System.Threading;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace WebServerMonitor
{
    public partial class MainPage : UserControl
    {
        private const int PingDelay = 5000; // milliseconds
        private const string PingFileName = "/ping.txt";
        private Uri _pingFileUri;

        public ObservableCollection<string> Entries
        {
            get;
            private set;
        }

        public MainPage()
        {
            Entries = new ObservableCollection<string>();

            InitializeComponent();

            var source = Application.Current.Host.Source;
            var baseAddress = source.AbsoluteUri.Substring(
                0, source.AbsoluteUri.Length - source.AbsolutePath.Length);
            _pingFileUri = new Uri(baseAddress + PingFileName);

            StartMonitoring();
        }

        private void StartMonitoring()
        {
        }
    }
}
