﻿using System;
using System.Collections.Generic;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using WhyDependencyInjection.Model;
using WhyDependencyInjection.ViewModel;
using System.Linq;

namespace WhyDependencyInjection.Design
{
    public class DesignDataService : IDataService
    {
        public void GetItems(Action<IEnumerable<Item>> callback)
        {
            var items = new List<Item>();

            for (var index = 0; index < 100; index++)
            {
                items.Add(new Item
                {
                    Message = "Dummy item #" + index
                });
            }

            callback(items.AsEnumerable<Item>());
        }
    }
}
