﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using WhyDependencyInjection.Services;
using Microsoft.Practices.Unity;

namespace WhyDependencyInjection.ViewModel
{
    public class ViewModelLocator
    {
        static ViewModelLocator()
        {
            ServiceLocator.Setup();
        }

        public ViewModelWithDependencyInjection Main
        {
            get
            {
                return ServiceLocator.Container.Resolve<
                    ViewModelWithDependencyInjection>();
            }
        }
    }
}
